
function MM_openBrWindow(theURL,winName,features) { //v2.0
  window.open(theURL,winName,features);
}




function MM_swapImgRestore() { //v2.0
  if (document.MM_swapImgData != null)
    for (var i=0; i<(document.MM_swapImgData.length-1); i+=2)
      document.MM_swapImgData[i].src = document.MM_swapImgData[i+1];
}

function MM_preloadImages() { //v2.0
  if (document.images) {
    var imgFiles = MM_preloadImages.arguments;
    if (document.preloadArray==null) document.preloadArray = new Array();
    var i = document.preloadArray.length;
    with (document) for (var j=0; j<imgFiles.length; j++) if (imgFiles[j].charAt(0)!="#"){
      preloadArray[i] = new Image;
      preloadArray[i++].src = imgFiles[j];
  } }
}

function MM_swapImage() { //v2.0
  var i,j=0,objStr,obj,swapArray=new Array,oldArray=document.MM_swapImgData;
  for (i=0; i < (MM_swapImage.arguments.length-2); i+=3) {
    objStr = MM_swapImage.arguments[(navigator.appName == 'Netscape')?i:i+1];
    if ((objStr.indexOf('document.layers[')==0 && document.layers==null) ||
        (objStr.indexOf('document.all[')   ==0 && document.all   ==null))
      objStr = 'document'+objStr.substring(objStr.lastIndexOf('.'),objStr.length);
    obj = eval(objStr);
    if (obj != null) {
      swapArray[j++] = obj;
      swapArray[j++] = (oldArray==null || oldArray[j-1]!=obj)?obj.src:oldArray[j];
      obj.src = MM_swapImage.arguments[i+2];
  } }
  document.MM_swapImgData = swapArray; //used for restore
}

function verif_moteur() {
var	frm=document.forms["rechmot"];
if (frm.action=="") 
moteur_site();

return true;
}

function moteur_site() {

var	frm=document.forms["rechmot"];

	if (document.getElementById("rech_bourse").checked) {
	frm.action="http://bourse.lesechos.fr/bourse/resultat_recherche_code.jsp";
	/*frm.action="http://lesechos2.qualif.boursorama.com/cours.phtml;*/
	document.getElementById("rech_code").value=document.getElementById("rech_texte").value;
	document.getElementById("rech_place").name='choix_bourse';
	
	var place=document.getElementById("rech_place").options[document.getElementById("rech_place").selectedIndex].value;
	if (place=='pays=33') document.getElementById("rech_place").options[document.getElementById("rech_place").selectedIndex].value="00025";
	if (place=='pays=1') document.getElementById("rech_place").options[document.getElementById("rech_place").selectedIndex].value="TOUT_US";
	if (place=='pays=32') document.getElementById("rech_place").options[document.getElementById("rech_place").selectedIndex].value="00006";
	if (place=='bourse=4402') document.getElementById("rech_place").options[document.getElementById("rech_place").selectedIndex].value="00036";
	if (place=='pays=31') document.getElementById("rech_place").options[document.getElementById("rech_place").selectedIndex].value="00025";
	if (place=='bourse=4920') document.getElementById("rech_place").options[document.getElementById("rech_place").selectedIndex].value="00038";
	if (place=='pays=41') document.getElementById("rech_place").options[document.getElementById("rech_place").selectedIndex].value="00004";


	if (document.getElementById("rech_place").selectedIndex==0)
	document.getElementById("rech_arch_texte").value="France";
	else
	document.getElementById("rech_arch_texte").value=document.getElementById("rech_place").options[document.getElementById("rech_place").selectedIndex].text;
        document.getElementById("rech_arch_texte").name='selectedBourse';
	

	frm.submit();	
	
	}
	
	if (document.getElementById("rech_archives").checked) {
	frm.action="http://archives.lesechos.fr/archives/resultats.php";
	frm.method="post";
	document.getElementById("rech_arch_texte").value=document.getElementById("rech_texte").value;
        document.getElementById("rech_arch_texte").name='textField';
	frm.submit();
	}
	
	if (document.getElementById("rech_site").checked) {
	frm.action="http://archives.lesechos.fr/site/resultats.php";
	frm.method="post";
	document.getElementById("rech_arch_texte").value=document.getElementById("rech_texte").value;
        frm.submit();
	}


	if (document.getElementById("rech_societe").checked) {
	document.getElementById("rech_texte").name="DOSS";
	frm.action="http://www.lesechos.fr/entreprises/recherche.php";
	 frm.submit();	
	
	}

}










<!--
function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_showHideLayers() { //v3.0
  var i,p,v,obj,args=MM_showHideLayers.arguments;
  for (i=0; i<(args.length-2); i+=3) if ((obj=MM_findObj(args[i]))!=null) { v=args[i+2];
    if (obj.style) { obj=obj.style; v=(v=='show')?'visible':(v='hide')?'hidden':v; }
    obj.visibility=v; }
}
//-->


function date_jour() {


var semaine = new Array ("Lundi", "Mardi", "Mercredi", "Jeudi", "Vendredi", "Samedi", "Dimanche");
var mois = new Array ("janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août",
                     "septembre", "octobre", "novembre", "décembre");


var jour = new Date();

 document.write( semaine[eval(jour.getDay() - ((jour.getDay() > 0) ? 1 : -6))] + " "  + jour.getDate() + " " + mois[jour.getMonth()] + " " + annee(jour.getYear())) ;



}


function annee(an) {
  if ((navigator.appName == "Netscape") && (parseFloat(navigator.appVersion) >= 4.06))
     an = eval(an + 1900);
  return an;
}





<!--
function swapImage(nom, url){
document.images[nom].src = url;
}
//-->





















function getTime()
{       
	var now = new Date();

	var day = now.getDay();
	var date = now.getDate();
	var month = now.getMonth() +1;
	var year = now.getYear();
	var minutes = now.getMinutes();
	var divider = "h";
	var jour = "";
	var mois = "";

	if (year < 1900)
		year = year + 1900;

	if (minutes<10)
		divider = "h0";

	if (day == 0)
		jour = "Dim";
	if (day == 1)
		jour = "Lun";
	if (day == 2)
		jour = "Mar";
	if (day == 3)
		jour = "Mer";
	if (day == 4)
		jour = "Jeu";
	if (day == 5)
		jour = "Ven";
	if (day == 6)
		jour = "Sam";

	if (month == 1)
		mois = "jan";
	if (month == 2)
		mois = "f&eacute;v";
	if (month == 3)
		mois = "mars";
	if (month == 4)
		mois = "avr";
	if (month == 5)
		mois = "mai";
	if (month == 6)
		mois = "juin";
	if (month == 7)
		mois = "juil";
	if (month == 8)
		mois = "ao&ucirc;t";
	if (month == 9)
		mois = "sep";
	if (month == 10)
		mois = "oct";
	if (month == 11)
		mois = "nov";
	if (month == 12)
		mois = "d&eacute;c";



	return( jour + "  " + date + " " + mois   + " " + year  );
}



function openDiaporama(url) {
fen = window.open(url,"diaporama","width=1020,height=550,scrollbars=1,toolbar=0,menubar=0,location=0,resizable=yes,status=0");
}

function openwin(ow) {
url = 'http://www.lesechos.fr/pop.htm?' + ow;
fen = window.open(url,"fenetre","width=350,height=350,scrollbars=1,toolbar=0,menubar=0,location=0,resizable=yes,status=0");
}

function openwinVIDEO(ow) {
url = 'http://ftp-videos.lesechos.fr/popvideo.htm?' + ow;
fen = window.open(url,"fenetre","width=430,height=380,scrollbars=0,toolbar=0,menubar=0,location=0,resizable=no,status=0");
}


function openWindowAvisfi()
{
	open ("/avisfi/popup.php","_new","HEIGHT=300,WIDTH=300,scrollbars=yes,resizable=yes,statut=no,screenX=582,screenY=300,left=582,top=300")
}









//ZOOM AFF/HIDE DIV

function getByID(id)
{
	if (document.all)
	{
		return document.all(id) ;
	}
	if(document.getElementById)
	{
		return document.getElementById(id) ;
	}
	alert(id+' not found') ;
}

function hide(id)
{
	var o = getByID(id) ;
	if (o)
	{
		if (document.all)
		{
			o.display = "none" ;
		}
		if(document.getElementById)
		{
			o.style.display = "none" ;
		}
	}
}

function show(id)
{
	var o = getByID(id) ;
	if (o)
	{
		if (document.all)
		{
			o.display = "visible" ;
		}
		if(document.getElementById)
		{
			o.style.display = "block" ;
		}
	}
}

function getCurrent()
{
	var pageName=this.location.href.substring(this.location.href.lastIndexOf("/")+1);
	for (i=0;i<urls.length;i++)
	{
		if (pageName == urls[i].substring(urls[i].lastIndexOf("/")+1))
			return i;
	}
	return -1;
}

function getPrecedent()
{
	var current=getCurrent();
	if (current>0)
	{
		window.open(urls[current-1],"_self");
	}
}

function getSuivant()
{
	var current=getCurrent();
	if (current>=0 && current+1<urls.length)
	{
		window.open(urls[current+1],"_self");
	}
}

function checkPrecedent(chaine)
{
	var current=getCurrent();
	if (current>0)
	{
		this.document.write(chaine);
	}
}

function checkSuivant(chaine)
{
	var current=getCurrent();
	if (current>=0 && current+1<urls.length)
	{
		this.document.write(chaine);
	}
}


function getCurrent_nav()
{
	var pageName=this.location.href.substring(this.location.href.lastIndexOf(".fr")+3);
	for (i=0;i<urls.length;i++)
	{
		if (pageName == urls[i])
			return i;
	}
	return -1;
}

function getPrecedent_nav()
{
	var current=getCurrent_nav();
	if (current>0)
	{
		window.open(urls[current-1],"_self");
	}
}

function getSuivant_nav()
{
	var current=getCurrent_nav();
	if (current>=0 && current+1<urls.length)
	{
		window.open(urls[current+1],"_self");
	}
}

function checkPrecedent_nav(chaine)
{
	var current=getCurrent_nav();
	if (current>0)
	{
		this.document.write(chaine);
	}
}

function checkSuivant_nav(chaine)
{
	var current=getCurrent_nav();
	if (current>=0 && current+1<urls.length)
	{
		this.document.write(chaine);
	}
}


function PopSmall(url) {
window.open(url,'nlfren','top=10,left=100,width=660,height=400,toolbar=no,scrollbars=yes');
}


function readCookie(name) {
        var cname = '; ' + name + "=";
        var dc = '; '+document.cookie;

        if (dc.length > 0) {
                begin = dc.indexOf(cname);
                if (begin != -1) {
                        begin += cname.length;
                        end = dc.indexOf(";", begin);
                        if (end == -1) end = dc.length;
                                return unescape(dc.substring(begin, end));
                }
        }
        return null;
}

function writeCookie(name, value) {
	var expires = new Date();	
                var pathname=location.pathname;
                var myDomain=pathname.substring(0,pathname.lastIndexOf('/')) +'/';
	expires.setTime(expires.getTime()+(365*24*3600*1000));
        document.cookie = name + "=" + escape(value) +
        ((expires == null) ? "" : "; expires=" + expires.toGMTString()) +
        ((pathname == null) ? "" : "; path=" + pathname) +
        ((myDomain == null) ? "" : "; domain=" + myDomain);
}


var taille_texte=3;
var t;
if (t=readCookie('taille_texte')) taille_texte=t;


function augmenterTexte() {
if (taille_texte==5) return;

taille_texte=taille_texte+1;
if (document.getElementById('article')) {
var art=document.getElementById('article');
document.getElementById('article').className='ARTICLE taille'+taille_texte;

var paragraphes;
paragraphes=art.getElementsByTagName('p');
for (i=0;i<paragraphes.length;i++) {
paragraphes[i].className='taille'+taille_texte;
}


writeCookie('taille_texte',taille_texte);
}

}

function diminuerTexte() {

if (taille_texte==1) return;
taille_texte=taille_texte-1;
if (document.getElementById('article')) {
var art=document.getElementById('article');
document.getElementById('article').className='ARTICLE taille'+taille_texte;
var paragraphes;
paragraphes=art.getElementsByTagName('p');
for (i=0;i<paragraphes.length;i++) {
paragraphes[i].className='taille'+taille_texte;
}
writeCookie('taille_texte',taille_texte);
}
}


function alterner_image(img, rang_image) {
if (!rang_image) var rang_image=1;

if (rang_image==0) rang_image=1;
if (rang_image==1) {
document.getElementById(img).className="IMAGE-DROITE";
return 2;
}
else {
document.getElementById(img).className="IMAGE-GAUCHE";
return 1;
}


}

